NetBeans Forums

 FAQFAQ   SearchSearch   MemberlistMemberlist   RegisterRegister   ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 
  

Missing "javaee-endorsed-api-6.0" Class Library

 
Post new topic   Reply to topic    NetBeans Forums -> NetBeans Users
View previous topic :: View next topic  
Author Message
BillyRay



Joined: 18 Mar 2009
Posts: 24

PostPosted: Thu Dec 24, 2009 2:43 am    Post subject: Missing "javaee-endorsed-api-6.0" Class Library Reply with quote

I was previously using NB 6.7.1 with Java EE 5 and GlassFish 2.1 for some simple web development. I recently installed NB 6.8 (and removed NB 6.7.1), and shortly afterwards upgraded to Java EE 6 with GlassFish v3. I’ve reinstalled the proper plug-ins, defined the server and can even edit and deploy pre-existing or new Java EE 5 web apps. However, when I create a new Java EE 6 web app, the project has an unresolved reference indicating that the “javaee-endorsed-api-6.0” class library is not defined. Does anyone know where this library is located?

Thanks!

Bill
Back to top
BillyRay



Joined: 18 Mar 2009
Posts: 24

PostPosted: Thu Dec 24, 2009 7:08 pm    Post subject: Missing "javaee-endorsed-api-6.0" Class Library Reply with quote

Seems I was a little hasty in posting this… Shortly afterwards I discovered I had not installed the EJB plug-in. (This plug-in wasn’t required in order to create simple web apps with Java EE 5.) Installing this plug-in both installed and created a reference to the library in question, and now I can create Java EE 6 apps.

Bill


From: William R. Behymer [mailto:address-removed]
Sent: Wednesday, December 23, 2009 9:43 PM
To: address-removed
Subject: [nbusers] Missing "javaee-endorsed-api-6.0" Class Library


I was previously using NB 6.7.1 with Java EE 5 and GlassFish 2.1 for some simple web development. I recently installed NB 6.8 (and removed NB 6.7.1), and shortly afterwards upgraded to Java EE 6 with GlassFish v3. I’ve reinstalled the proper plug-ins, defined the server and can even edit and deploy pre-existing or new Java EE 5 web apps. However, when I create a new Java EE 6 web app, the project has an unresolved reference indicating that the “javaee-endorsed-api-6.0” class library is not defined. Does anyone know where this library is located?

Thanks!

Bill
Back to top
opensas



Joined: 25 Oct 2009
Posts: 7

PostPosted: Fri Apr 02, 2010 1:56 pm    Post subject: Reply with quote

Hi, I have exactly the same trouble

I installed glassfish-ejb and glassfish-ejb-lite thru the administration console but I keep getting the same error...

any idea where I could find javaee-endorsed-api-6.0.jar?

thanks a lot

saludos

sas
Back to top
boardtc



Joined: 12 May 2010
Posts: 2

PostPosted: Wed May 19, 2010 2:12 pm    Post subject: Reply with quote

Installing EJB and EAR plug as indicated worked for me!
Back to top
toroid



Joined: 08 Jul 2010
Posts: 1
Location: uk

PostPosted: Thu Jul 08, 2010 10:43 am    Post subject: ejb Reply with quote

Thanks for posting that just googled same problem and arrived at
your solution.
Back to top
Display posts from previous:   
Post new topic   Reply to topic    NetBeans Forums -> NetBeans Users All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB
By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo